//Quadrilaterals - rhombus
//change the scale to 2 or 3 to get the 10cm and 15cm ones
l=50;
w=40;
x1=sqrt(l^2-w^2);
x2=sqrt(l^2-w^2)+l;
s=1;
l_tick=10;
p_tick=5;
$fn=30;
difference(){
linear_extrude(3)
polygon(points=[
  [0,0], //0
  [l,0], //1
  [80,w], //2
  [30,w]]); //3
}
//ticks for same length sides
translate([l/2,0,3]) rotate([-90,0,asin(w/l)-90])cylinder(r=1,h=l_tick);
translate([(l+x2)/2,w/2,3]) rotate([0,-90,0])cylinder(r=1,h=l_tick);
translate([(x2+x1)/2,w,3]) rotate([90,0,asin(w/l)-90])cylinder(r=1,h=l_tick);
translate([x1/2,w/2,3]) rotate([0,90,0])cylinder(r=1,h=l_tick);
//angle pairs
translate([0,0,3]){
    //little ones
rotate_extrude(angle=asin(w/l), convexity=10)translate([3,0,0])circle(r=0.5);
    translate([x2,w,0]) rotate([0,0,180])
rotate_extrude(angle=asin(w/l), convexity=10)translate([3,0,0])circle(r=0.5);    
//big ones with double lines
      translate([x1,w,0]) rotate([0,0,asin(w/l)+180])
rotate_extrude(angle=180-asin(w/l), convexity=10)translate([3,0,0])circle(r=0.5);

      translate([x1,w,0]) rotate([0,0,asin(w/l)+180])
rotate_extrude(angle=180-asin(w/l), convexity=10)translate([5,0,0])circle(r=0.5);
    
      translate([l,0,0]) rotate([0,0,asin(w/l)])
rotate_extrude(angle=180-asin(w/l), convexity=10)translate([3,0,0])circle(r=0.5);

      translate([l,0,0]) rotate([0,0,asin(w/l)])
rotate_extrude(angle=180-asin(w/l), convexity=10)translate([5,0,0])circle(r=0.5);
}
//ticks for parallel
//long sides
translate([l/2+8,4,3]) rotate([-90,0,-45])cylinder(r=1,h=p_tick);
translate([l/2+8,4,3]) rotate([-90,0,225])cylinder(r=1,h=p_tick);
translate([l/2+12,4,3]) rotate([-90,0,-45])cylinder(r=1,h=p_tick);
translate([l/2+12,4,3]) rotate([-90,0,225])cylinder(r=1,h=p_tick);
translate([(x2+x1)/2,w-4,3]) rotate([-90,0,-45])cylinder(r=1,h=p_tick);
translate([(x2+x1)/2,w-4,3]) rotate([-90,0,225])cylinder(r=1,h=p_tick);
translate([(x2+x1)/2+4,w-4,3]) rotate([-90,0,-45])cylinder(r=1,h=p_tick);
translate([(x2+x1)/2+4,w-4,3]) rotate([-90,0,225])cylinder(r=1,h=p_tick);
// short sides
translate([(l+x2)/2-3,w/2+3,3]) rotate([-90,0,asin(w/50)-45])cylinder(r=1,h=p_tick);
translate([(l+x2)/2-3,w/2+3,3]) rotate([-90,0,asin(w/50)-135])cylinder(r=1,h=p_tick);

translate([(x1)/2+7,w/2+3,3]) rotate([-90,0,asin(w/50)-45])cylinder(r=1,h=p_tick);
translate([(x1)/2+7,w/2+3,3]) rotate([-90,0,asin(w/50)-135])cylinder(r=1,h=p_tick);